import { Wtbl, Wtc, Wtr } from '../../model/document';
import { TableExpander, CellFragment } from '../../utils/expand';
import { SubRenderer } from '../../view/TableCell';
export declare class TableInfoProvider {
    wtbl: Wtbl;
    tableExpander: TableExpander;
    constructor(wtbl: Wtbl, tableExpander: TableExpander);
    getRows(): {
        id: string;
        expandFromId: string;
        cells: CellFragment[];
    }[];
    getCellContent(cell: any): any[];
    getRowModelRef(row: any): {
        id: string;
    };
    getWtr(row: any): Wtr;
    getWtc(cell: any): Wtc;
    getCellModelRef(cell: any): {
        id: string;
    };
    getCellSubRenderer(cell: CellFragment): SubRenderer | undefined;
    /**
     * 获取当前行是都能分割
     * @param rowIndex
     * @returns
     */
    getAllowRowSplit(rowIndex: number): boolean;
}
